Index: SPECS/e2fsprogs.spec
===================================================================
--- SPECS.orig/e2fsprogs.spec
+++ SPECS/e2fsprogs.spec
@@ -4,7 +4,7 @@
 Summary: Utilities for managing the second and third extended (ext2/ext3) filesystems
 Name: e2fsprogs
 Version: 1.39
-Release: 7%{dist}
+Release: 7.fa1%{dist}
 License: GPL
 Group: System Environment/Base
 Source:  ftp://download.sourceforge.net/pub/sourceforge/e2fsprogs/e2fsprogs-%{version}.tar.gz
@@ -114,7 +114,9 @@ also want to install e2fsprogs.
 %build
 aclocal
 autoconf
-%configure --enable-elf-shlibs --enable-nls --disable-e2initrd-helper  --enable-blkid-devmapper --enable-blkid-selinux
+# e2fsprogs isn't strict aliasing safe, see for example:
+# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=398316
+CFLAGS="%{optflags} -fno-strict-aliasing" %configure --enable-elf-shlibs --enable-nls --disable-e2initrd-helper  --enable-blkid-devmapper --enable-blkid-selinux
 make -C po update-po
 make
 
@@ -125,8 +127,30 @@ make install install-libs DESTDIR="%{bui
 	root_sbindir=%{_root_sbindir} root_libdir=%{_root_libdir}
 %find_lang %{name}
 
+# FAT probing fails on ARM:
+#         LD tst_types
+# ./test_probe
+# cramfs: ok
+# ext2: ok
+# ext3: ok
+# fat32_label_64MB: failed
+# fat: failed
+# iso: ok
+# jbd: ok
+# jfs: ok
+# minix: ok
+# ocfs2: ok
+# reiser3: ok
+# reiser4: ok
+# romfs: ok
+# small-fat32: failed
+# swap0: ok
+# swap1: ok
+# xfs: ok
+%ifnarch %{arm}
 %check
 make check
+%endif
 
 %clean
 rm -rf %{buildroot}
